Module javafx.graphics
Package javafx.css

# Class SimpleStyleableFloatProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.FloatExpression
javafx.beans.property.ReadOnlyFloatProperty
javafx.beans.property.FloatProperty
javafx.beans.property.FloatPropertyBase
javafx.css.StyleableFloatProperty
javafx.css.SimpleStyleableFloatProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableFloatValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableFloatValue`, `WritableNumberValue`, `WritableValue<Number>`, `StyleableProperty<Number>`

    public class SimpleStyleableFloatProperty
    extends StyleableFloatProperty

This class extends `SimpleFloatProperty` and provides a full implementation of a `StyleableProperty`. This class is used to make a `FloatProperty`, that would otherwise be implemented as a `SimpleFloatProperty`, styleable by CSS.

Since:
  JavaFX 8.0
See Also:
  `SimpleFloatProperty`, `CssMetaData`, `StyleableProperty`, `StyleableFloatProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SimpleStyleableFloatProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData)` | The constructor of the `SimpleStyleableFloatProperty`.
  `SimpleStyleableFloatProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Float initialValue)` | The constructor of the `SimpleStyleableFloatProperty`.
  `SimpleStyleableFloatProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Object bean, String name)` | The constructor of the `SimpleStyleableFloatProperty`.
  `SimpleStyleableFloatProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Object bean, String name, Float initialValue)` | The constructor of the `SimpleStyleableFloatProperty`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Object` | `getBean()` | Returns the `Object` that contains this property.
  `CssMetaData<? extends Styleable,​Number>` | `getCssMetaData()` | Reflect back the CssMetaData that corresponds to this `javafx.beans.property.StyleableProperty`
  `String` | `getName()` | Returns the name of this property.

  ### Methods inherited from class javafx.css.StyleableFloatProperty

  `applyStyle, bind, getStyleOrigin, set`

  ### Methods inherited from class javafx.beans.property.FloatPropertyBase

  `addListener, addListener, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, toString, unbind`

  ### Methods inherited from class javafx.beans.property.FloatProperty

  `asObject, bindBidirectional, floatProperty, setValue, unbindBidirectional`

  ### Methods inherited from class javafx.beans.property.ReadOnlyFloatProperty

  `readOnlyFloatProperty`

  ### Methods inherited from class javafx.beans.binding.FloatExpression

  `add, add, add, add, divide, divide, divide, divide, doubleValue, floatExpression, floatExpression, floatValue, getValue, intValue, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

  ### Methods inherited from class javafx.beans.binding.NumberExpressionBase

  `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface javafx.beans.value.ObservableValue

  `getValue`

  ### Methods inherited from interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### SimpleStyleableFloatProperty

    public SimpleStyleableFloatProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData)
    The constructor of the `SimpleStyleableFloatProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`

  - ### SimpleStyleableFloatProperty

    public SimpleStyleableFloatProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Float initialValue)
    The constructor of the `SimpleStyleableFloatProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `initialValue` - the initial value of the wrapped `Object`

  - ### SimpleStyleableFloatProperty

    public SimpleStyleableFloatProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Object bean, String name)
    The constructor of the `SimpleStyleableFloatProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `bean` - the bean of this `FloatProperty`
      `name` - the name of this `FloatProperty`

  - ### SimpleStyleableFloatProperty

    public SimpleStyleableFloatProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Object bean, String name, Float initialValue)
    The constructor of the `SimpleStyleableFloatProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `bean` - the bean of this `FloatProperty`
      `name` - the name of this `FloatProperty`
      `initialValue` - the initial value of the wrapped `Object`

- ## Method Details

  - ### getBean

    public Object getBean()
    Returns the `Object` that contains this property. If this property is not contained in an `Object`, `null` is returned.
    Returns:
      the containing `Object` or `null`

  - ### getName

    public String getName()
    Returns the name of this property. If the property does not have a name, this method returns an empty `String`.
    Returns:
      the name or an empty `String`

  - ### getCssMetaData

    public final CssMetaData<? extends Styleable,​Number> getCssMetaData()
    Reflect back the CssMetaData that corresponds to this `javafx.beans.property.StyleableProperty`
    Returns:
      the corresponding CssMetaData